%global sfincb %{_datadir}/shellfu/include-bash
%global shellfu_req shellfu >= 0.10.9, shellfu < 0.11
%global saturnin_req shellfu-bash-saturnin >= 0.4.12, shellfu-bash-saturnin < 0.5
%if 0%{?rhel} && 0%{?rhel} < 7
%global jinja_req python-jinja2
%else
%global jinja_req python2-jinja2
%endif

Name:       __MKIT_PROJ_PKGNAME__
Version:    __MKIT_PROJ_VERSION__
Release:    1%{?dist}
Summary:    __MKIT_PROJ_NAME__ - __MKIT_PROJ_TAGLINE__
URL:        __MKIT_PROJ_VCS_BROWSER__
License:    LGPLv2
Source0:    %{name}-%{version}.tar.gz
BuildArch:  noarch

Requires: jattool-minimal == %{version}
Requires: jattool-report == %{version}
Requires: jattool-tdk == %{version}
%description
JAT is a testing framework for Shell-based test suites.

This package is intended for test development workstations and requires
all other sub-packages.

%package minimal
Requires: %shellfu_req
Requires: %saturnin_req
Requires: shellfu-bash
Requires: shellfu-bash-jat >= 0.0.1
Requires: shellfu-bash-jat < 0.0.2
Requires: shellfu-bash-pretty
Summary: JAT harness and test discovery
%description minimal
JAT is a testing framework for Shell-based test suites.

This sub-package contains minimal set of tools, just for test discovery and
running.

%package report
Requires: %jinja_req
Requires: jattool-minimal == %{version}
Requires: PyYAML
Summary: JAT result post-processing
%description report
JAT is a testing framework for Shell-based test suites.

This sub-package contains tools for result parsing and post-processing.

%package tdk
Requires: git
Summary: JAT test development kit
%description tdk
JAT is a testing framework for Shell-based test suites.

This sub-package contains files and tools to help with test
development.

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=/usr

%install
%make_install PREFIX=/usr

%files
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/README.md

%files minimal
%config %{_sysconfdir}/bash_completion.d/%{name}.bash
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/ini.d
%dir %{_datadir}/%{name}/ini.d/main
%dir %{_libexecdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}/help
%{_datadir}/%{name}/ini.d/main/jattool.ini
%{_libexecdir}/%{name}/%{name}-qrun
%{_libexecdir}/%{name}/%{name}-runtest
%{_libexecdir}/%{name}/%{name}-sessid
%{_libexecdir}/%{name}/%{name}-sfind
%{_libexecdir}/%{name}/%{name}-tfind

%files report
%{_datadir}/jattool/jinja2/html.j2
%{_datadir}/jattool/python/jat.py*
%{_libexecdir}/%{name}/%{name}-export

%files tdk
%dir %{_datadir}/%{name}/tdk/skel
%dir %{_datadir}/%{name}/tdk/skel/packaging
%dir %{_datadir}/%{name}/tdk/skel/packaging/debian
%dir %{_datadir}/%{name}/tdk/skel/packaging/debian/source
%dir %{_datadir}/%{name}/tdk/utils/mkit
%dir %{_datadir}/%{name}/tdk/utils/mkit/include
%{_datadir}/%{name}/tdk/skel/Makefile
%{_datadir}/%{name}/tdk/skel/mkit.ini
%{_datadir}/%{name}/tdk/skel/packaging/debian/changelog
%{_datadir}/%{name}/tdk/skel/packaging/debian/compat
%{_datadir}/%{name}/tdk/skel/packaging/debian/control
%{_datadir}/%{name}/tdk/skel/packaging/debian/copyright
%{_datadir}/%{name}/tdk/skel/packaging/debian/install
%{_datadir}/%{name}/tdk/skel/packaging/debian/rules
%{_datadir}/%{name}/tdk/skel/packaging/debian/source/format
%{_datadir}/%{name}/tdk/skel/packaging/template.spec
%{_datadir}/%{name}/tdk/utils/mkit/include/build.sh
%{_datadir}/%{name}/tdk/utils/mkit/include/deploy.sh
%{_datadir}/%{name}/tdk/utils/mkit/include/facts.sh
%{_datadir}/%{name}/tdk/utils/mkit/include/ini.sh
%{_datadir}/%{name}/tdk/utils/mkit/include/mkit.sh
%{_datadir}/%{name}/tdk/utils/mkit/include/release.sh
%{_datadir}/%{name}/tdk/utils/mkit/include/vars.sh
%{_datadir}/%{name}/tdk/utils/mkit/make
%{_datadir}/%{name}/tdk/utils/mkit/mkit.mk
%{_datadir}/%{name}/tdk/utils/mkit/stub

%changelog

# specfile built with MKit __MKIT_SELF_VERSION__
